int main(int argc, char** argv) {
  // All singletons.
  if (q1)
    if (q2)
      if (q3)
        if (q4)
          a4();
        else
          e4();
      else
        e3();
    else
      e2();
  else
    e1();
  // All brace blocks.
  if (q1) {
    if (q2) {
      if (q3) {
        if (q4) {
          a4();
        }
        else {
          e4();
        }
      }
      else {
        e3();
      }
    }
    else {
      e2();
    }
  }
  else {
    e1();
  }
  // Mixed.
  if (q1) {
    if (q2) 
      if (q3) {
        if (q4) {
          a4();
        }
        else
          e4();
      }
      else {
        e3();
      }
    else e2();
  }
  else {
    e1();
  }
}
